/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.elementLibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
* Restful接口--新增资源--数据传输对象：元素信息管理
*
* createdate:  2022-11-04 09:57:50  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "元素信息管理")
public class AtuElementInfoAddDto implements Serializable
{
    /**
     * 元素分组ID<br>
     */
    @ApiModelProperty("元素分组ID")
    @Size(max = 255, message="元素分组ID-groupId: 数据长度不能 > 255" )
    private String groupId;
    /**
     * 元素名称<br>
     */
    @ApiModelProperty("元素名称")
    @Size(max = 255, message="元素名称-name: 数据长度不能 > 255" )
    @NotBlank(message = "元素名称不能为空")
    private String name;
    /**
     * 元素类型<br>
     */
    @ApiModelProperty("元素类型")
    @Size(max = 255, message="元素类型-type: 数据长度不能 > 255" )
    @NotBlank(message = "元素类型不能为空")
    private String type;

    /**
     * 系统ID<br>
     */
    @ApiModelProperty("系统ID")
    @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
    @NotBlank(message = "系统ID不能为空")
    private String projectId;

    @ApiModelProperty("元素获取方式集合")
    private List<AtuElementFetchTypeDto>  fetchTypeList;

    public List<AtuElementFetchTypeDto> getFetchTypeList() {
        return fetchTypeList;
    }

    public void setFetchTypeList(List<AtuElementFetchTypeDto> fetchTypeList) {
        this.fetchTypeList = fetchTypeList;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
}